﻿##### Osnova za postavitev WS2016 CORE ############
### Poganjanje programov
control timedate.cpl
control /name Microsoft.iSCSIInitiator
control intl.cpl
MSInfo32
TaskMgr
$komp = "S2D1"
Enter-PSSession $komp
### Pogleda, če je comp v ADju
Get-ADComputer $komp
### Dodamo v domeno
Rename-Computer -NewName NTK-CORE
Add-Computer -DomainName corp.contoso.com -Credential (Get-Credential)
### Restart compa in počakaj, da pride nazaj
Restart-Computer $komp -Force -Wait

## Najde vse device brez driverjev
Get-WmiObject Win32_PNPEntity -ComputerName $komp | Where-Object{$_.ConfigManagerErrorCode -ne 0} | Sort-Object DeviceID| Select Name, DeviceID
## TOle jih pa prešteje
Get-WmiObject Win32_PNPEntity -ComputerName $komp| Where-Object{$_.ConfigManagerErrorCode -ne 0} |  Measure-Object
### Pogleda stanje
pnputil /enum-drivers
#### Odstrani driverje
pnputil /add-driver enic6x64.inf /install
#### Odstrani driverje
pnputil /delete-driver oem0.inf


### Preveri hotfixe
Get-HotFix -ComputerName $komp |ft -AutoSize

### Igranje z IPji
Get-NetIPConfiguration
New-NetIPAddress -IPAddress 10.0.0.250 -InterfaceIndex 1 -PrefixLength 24 -DefaultGateway 10.0.0.1
Set-DnsClientServerAddress -InterfaceIndex 2 -ServerAddresses ("10.0.0.1")

### Poglej katere diske imamo
Get-Volume
### za spremennit
#Change CD drive letter
$drv = Get-WmiObject win32_volume -filter 'DriveLetter = "D:"'
$drv.DriveLetter = "E:"
$drv.Put() | out-null

### Dodajanje diska
#Make disk online, make it GPT and format it
#Invoke-Command -ComputerName Fenix1 { Update-HostStorageCache}
$NovDisk = Get-Disk | where OperationalStatus -EQ "Offline"
Set-Disk $NovDisk.Number -IsOffline $false
Initialize-Disk $NovDisk.Number -PartitionStyle GPT
New-Partition $NovDisk.Number -UseMaximumSize -DriveLetter D
Format-Volume D -FileSystem NTFS  -NewFileSystemLabel "DATA-Drive" #-Confirm $false

### For remote disk management apply ob client and host
Set-NetFirewallRule –Name “RVM-VDS-In-TCP” –Enabled True -Profile Any
Set-NetFirewallRule –Name “RVM-VDSLDR-In-TCP” –Enabled True -Profile Any
Set-NetFirewallRule –Name “RVM-RPCSS-In-TCP” –Enabled True -Profile Any


# Nastavi slovensko tipkovnico za trenutnega userja
$newList= New-WinUserLanguageList -Language "sl-SI"
Set-WinUserLanguageList -LanguageList $newList
#Nastavi format
Set-Culture sl-SI
Set-WinSystemLocale sl-SI
Set-WinHomeLocation -GeoId 212
#Skopira nastavitve na ostale userje (Default, Welcome)
mkdir C:\Temp
$DefaultHKEY = "HKU\DEFAULT_USER"
$DefaultRegPath = "C:\Users\Default\NTUSER.DAT"
reg load $DefaultHKEY $DefaultRegPath
reg import "c:\Temp\sl-si-default.reg"
reg unload $DefaultHKEY
reg import "c:\Temp\sl-si-default.reg"
#Za uveljavitev je potreben še restart računalnika

#### new local user
New-LocalUser "User03" -Password (Read-Host -AsSecureString "AccountPassword") -FullName "Third User"
#### newuser AD
New-ADUser -Name "Ntk18 User" -GivenName NTK18 -Surname User -SamAccountName nUser -AccountPassword (Read-Host -AsSecureString "AccountPassword")

### Nekaj nastavitev lahko nastavljaš s "sconfig"
Install-WindowsFeature Web-Server -IncludeManagementTools
Install-WindowsFeature Web-Mgmt-Service -IncludeManagementTools
Install-WindowsFeature web-net-Ext45
Install-WindowsFeature web-ISAPI-Ext
Install-WindowsFeature web-ISAPI-Filter
Install-WindowsFeature Telnet-client
### Sedaj pa še odstrani
Remove-WindowsFeature FS-SMB1

## Poglej odprte porte na Firewallu
Get-NetFirewallRule | Where-Object enabled -eq $true | Format-Table -AutoSize

### Priklopi nazaj FW (za disable lahko zadevo daš na "False"
set-NetFirewallProfile -all -Enabled "true"

# Za enablat IIS remote
Set-ItemProperty -Path HKLM:\SOFTWARE\Microsoft\WebManagement\Server -Name EnableRemoteManagement -Value 1